Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovyObjectSupport

    java.lang.Object
      groovy.lang.GroovyObjectSupport

All Implemented Interfaces:
  GroovyObject

    public abstract class GroovyObjectSupport
    extends Object

A useful base class for Java objects wishing to be Groovy objects

Authors:
  James Strachan

Version:
  \$Revision: 20589 \$

Constructor Summary
`GroovyObjectSupport()`

Method Summary
`MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyObjectSupport

    public GroovyObjectSupport()

Method Detail

### getMetaClass

    public MetaClass getMetaClass()

### getProperty

    public Object getProperty(String property)

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

Copyright © 2003-2010 The Codehaus. All rights reserved.